package com.chenyang.nse.bussiness.performance_monitor.entity;

public class PerformanceMonitorDetailEntity {
   String processName;
   String senderName;
   String senderAddr;
   String senderTime;
   String receiverName;
   String receiverAddr;
   String receiverTime;
   long timeDiff;
   String remark;
   boolean isHidden;

   public String getProcessName() {
      return this.processName;
   }

   public String getSenderName() {
      return this.senderName;
   }

   public String getSenderAddr() {
      return this.senderAddr;
   }

   public String getSenderTime() {
      return this.senderTime;
   }

   public String getReceiverName() {
      return this.receiverName;
   }

   public String getReceiverAddr() {
      return this.receiverAddr;
   }

   public String getReceiverTime() {
      return this.receiverTime;
   }

   public long getTimeDiff() {
      return this.timeDiff;
   }

   public String getRemark() {
      return this.remark;
   }

   public boolean isHidden() {
      return this.isHidden;
   }

   public void setProcessName(final String processName) {
      this.processName = processName;
   }

   public void setSenderName(final String senderName) {
      this.senderName = senderName;
   }

   public void setSenderAddr(final String senderAddr) {
      this.senderAddr = senderAddr;
   }

   public void setSenderTime(final String senderTime) {
      this.senderTime = senderTime;
   }

   public void setReceiverName(final String receiverName) {
      this.receiverName = receiverName;
   }

   public void setReceiverAddr(final String receiverAddr) {
      this.receiverAddr = receiverAddr;
   }

   public void setReceiverTime(final String receiverTime) {
      this.receiverTime = receiverTime;
   }

   public void setTimeDiff(final long timeDiff) {
      this.timeDiff = timeDiff;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setHidden(final boolean isHidden) {
      this.isHidden = isHidden;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorDetailEntity)) {
         return false;
      } else {
         PerformanceMonitorDetailEntity other = (PerformanceMonitorDetailEntity)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$processName = this.getProcessName();
            Object other$processName = other.getProcessName();
            if (this$processName == null) {
               if (other$processName != null) {
                  return false;
               }
            } else if (!this$processName.equals(other$processName)) {
               return false;
            }

            Object this$senderName = this.getSenderName();
            Object other$senderName = other.getSenderName();
            if (this$senderName == null) {
               if (other$senderName != null) {
                  return false;
               }
            } else if (!this$senderName.equals(other$senderName)) {
               return false;
            }

            Object this$senderAddr = this.getSenderAddr();
            Object other$senderAddr = other.getSenderAddr();
            if (this$senderAddr == null) {
               if (other$senderAddr != null) {
                  return false;
               }
            } else if (!this$senderAddr.equals(other$senderAddr)) {
               return false;
            }

            Object this$senderTime = this.getSenderTime();
            Object other$senderTime = other.getSenderTime();
            if (this$senderTime == null) {
               if (other$senderTime != null) {
                  return false;
               }
            } else if (!this$senderTime.equals(other$senderTime)) {
               return false;
            }

            Object this$receiverName = this.getReceiverName();
            Object other$receiverName = other.getReceiverName();
            if (this$receiverName == null) {
               if (other$receiverName != null) {
                  return false;
               }
            } else if (!this$receiverName.equals(other$receiverName)) {
               return false;
            }

            Object this$receiverAddr = this.getReceiverAddr();
            Object other$receiverAddr = other.getReceiverAddr();
            if (this$receiverAddr == null) {
               if (other$receiverAddr != null) {
                  return false;
               }
            } else if (!this$receiverAddr.equals(other$receiverAddr)) {
               return false;
            }

            Object this$receiverTime = this.getReceiverTime();
            Object other$receiverTime = other.getReceiverTime();
            if (this$receiverTime == null) {
               if (other$receiverTime != null) {
                  return false;
               }
            } else if (!this$receiverTime.equals(other$receiverTime)) {
               return false;
            }

            if (this.getTimeDiff() != other.getTimeDiff()) {
               return false;
            } else {
               Object this$remark = this.getRemark();
               Object other$remark = other.getRemark();
               if (this$remark == null) {
                  if (other$remark != null) {
                     return false;
                  }
               } else if (!this$remark.equals(other$remark)) {
                  return false;
               }

               if (this.isHidden() != other.isHidden()) {
                  return false;
               } else {
                  return true;
               }
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorDetailEntity;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $processName = this.getProcessName();
      result = result * 59 + ($processName == null ? 43 : $processName.hashCode());
      Object $senderName = this.getSenderName();
      result = result * 59 + ($senderName == null ? 43 : $senderName.hashCode());
      Object $senderAddr = this.getSenderAddr();
      result = result * 59 + ($senderAddr == null ? 43 : $senderAddr.hashCode());
      Object $senderTime = this.getSenderTime();
      result = result * 59 + ($senderTime == null ? 43 : $senderTime.hashCode());
      Object $receiverName = this.getReceiverName();
      result = result * 59 + ($receiverName == null ? 43 : $receiverName.hashCode());
      Object $receiverAddr = this.getReceiverAddr();
      result = result * 59 + ($receiverAddr == null ? 43 : $receiverAddr.hashCode());
      Object $receiverTime = this.getReceiverTime();
      result = result * 59 + ($receiverTime == null ? 43 : $receiverTime.hashCode());
      long $timeDiff = this.getTimeDiff();
      result = result * 59 + (int)($timeDiff >>> 32 ^ $timeDiff);
      Object $remark = this.getRemark();
      result = result * 59 + ($remark == null ? 43 : $remark.hashCode());
      result = result * 59 + (this.isHidden() ? 79 : 97);
      return result;
   }

   public String toString() {
      return "PerformanceMonitorDetailEntity(processName=" + this.getProcessName() + ", senderName=" + this.getSenderName() + ", senderAddr=" + this.getSenderAddr() + ", senderTime=" + this.getSenderTime() + ", receiverName=" + this.getReceiverName() + ", receiverAddr=" + this.getReceiverAddr() + ", receiverTime=" + this.getReceiverTime() + ", timeDiff=" + this.getTimeDiff() + ", remark=" + this.getRemark() + ", isHidden=" + this.isHidden() + ")";
   }
}
